{% extends 'core/base.html' %}
{% load i18n %}

{% block sidebar-content %}
  TODO: Menu
{% endblock %}

{% block content %}
  <div class="card position-relative">
    <span id="published-badge" class="position-absolute top-0 start-50 translate-middle">
      {% include 'wiki/_published_badge.html' with article=article %}
    </span>

    <div class="card-header">
      {% block card-header %}
        <h3 class="card-title">
          {% block card-title %}{% endblock %}
        </h3>
      {% endblock %}

      <div class="card-actions btn-actions">
        {% block card-actions %}
        {% if article %}
          {% if editing or history %}
            <button
                id="action-article-show"
                class="btn-action"
                title="{% translate 'Show article' %}"
                hx-get="{% url 'wiki:article-detail' article.slug %}"
                hx-target="#page-wrapper"
                hx-select="#page-wrapper"
                hx-swap="outerHTML"
                hx-push-url="{% url 'wiki:article-detail' article.slug %}"
            >
              <i class="bi bi-file-text"></i>
            </button>
          {% else %}
            <button
                id="action-article-update"
                class="btn-action"
                title="{% translate 'Edit article' %}"
                hx-get="{% url 'wiki:article-update' article.slug %}"
                hx-target="#page-wrapper"
                hx-select="#page-wrapper"
                hx-swap="outerHTML"
                hx-push-url="{% url 'wiki:article-update' article.slug %}"
            >
              <i class="bi bi-pencil"></i>
            </button>
          {% endif %}
          <button
              id="action-article-history"
              class="btn-action"
              {% if history %}
              disabled
              {% else %}
              hx-get="{% url 'wiki:article-history' article.slug %}"
              hx-target="#page-wrapper"
              hx-select="#page-wrapper"
              hx-swap="outerHTML"
              hx-push-url="{% url 'wiki:article-history' article.slug %}"
              {% endif %}
              title="{% translate 'View article history' %}"
          >
            <i class="bi bi-clock-history"></i>
          </button>
        {% endif %}
      {% endblock %}
      </div>
    </div>
    <div id="article-body" class="card-body">
      {% block card-text %}{% endblock %}
    </div>
    <div class="card-footer">
      {% block card_footer %}
        <ul class="list-inline list-inline-dots mb-0">
          {% if article %}
            <li class="list-inline-item small">{% translate 'Author' %}: <a href="{# {% url 'wiki:article-by-author' %}#}" class="link-secondary">{{ article.author }}</a></li>
            <li class="list-inline-item small">
              {% translate 'Last edited' %}: <a href="{% url 'wiki:article-history' article.slug %}">{{ last_version.revision.date_created }}</a> {% translate 'by' %} {{ last_version.revision.user }}</li>
          {% endif %}
        </ul>
      {% endblock %}
    </div>
  </div>
{% endblock %}